[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'CheckLst' (#lcl)

# TCustomCheckListBox.AllowGrayed

Indicates if the item can use the "grayed" (or unselectable) check box state.

## Declaration

Source position: checklst.pas line 79

`public property TCustomCheckListBox.AllowGrayed : Boolean read FAllowGrayed write FAllowGrayed default False;`

## Description

AllowGrayed is a Boolean property which indicates if Items in the control can use the "grayed" (or unselectable) check box State. The default value for the property is False, and indicates that only Checked and Unchecked values can be used in the State property.

## See also

TCustomCheckListBox.State |  | Provides indexed access to the TCheckBoxState for Items in the control.
TCustomCheckListBox.ItemEnabled |  | Provides indexed access to the enabled state for Items in the control.